Subject: Re: [tsvwg] I-D Action: draft-ietf-tsvwg-ecn-experimentation-03.txt

From: Bob Briscoe <[email-masked]>
Date: Tue, 4 Jul 2017 15:49:25 +0100

David,

Thanks for getting this draft though.

One potential (minor) change that you might wish to note down for the 
next rev:

We decided to give the name ECN++ to the scheme in 
draft-bagnulo-tcpm-generalized-ecn-04
We are no longer using the term Generalized ECN - it is just a 
file-name, not a name or title.

(We thought the name ECN++ was appropriate, because ECT on SYN/ACKs 
[RFC5562] was called ECN+).

Thanks again

Bob

On 21/06/17 16:12, Black, David wrote:
> This-03  version addresses all the WGLC comments, with particular thanks to Ingemar Johansson for finding the "SHOULD" for DCCP sender use of ECT(0) that needed to be changed to a "MUST" in accordance with prior WG discussion of this topic (mea culpa - missed that one in earlier editing).
>
> There are two downrefs in this draft that is intended to become a proposed status RFC:
> - This draft explains the end of the ECN Nonce experiment described in RFC 3540, and hence normatively references RFC 3540.
> - DCCP sender ECN behavior needs to be updated in 3 RFCs, one of which is Experimental - RFC 5622.
>
> Thanks, --David
>
>> -----Original Message-----
>> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
>> [email-masked]
>> Sent: Wednesday, June 21, 2017 10:58 AM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: I-D Action: draft-ietf-tsvwg-ecn-experimentation-03.txt
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>> This draft is a work item of the Transport Area Working Group of the IETF.
>>
>>          Title           : Explicit Congestion Notification (ECN) Experimentation
>>          Author          : David Black
>> 	Filename        : draft-ietf-tsvwg-ecn-experimentation-03.txt
>> 	Pages           : 17
>> 	Date            : 2017-06-21
>>
>> Abstract:
>>     This memo updates RFC 3168, which specifies Explicit Congestion
>>     Notification (ECN) as a replacement for packet drops as indicators of
>>     network congestion.  It relaxes restrictions in RFC 3168 that would
>>     otherwise hinder experimentation towards benefits beyond just removal
>>     of loss.  This memo summarizes the anticipated areas of
>>     experimentation and updates RFC 3168 to enable experimentation in
>>     these areas.  An Experimental RFC is required to take advantage of
>>     any of these enabling updates.  In addition, this memo makes related
>>     updates to the ECN specifications for RTP in RFC 6679 and for DCCP in
>>     RFC 4341, RFC 4342 and RFC 5622.  This memo also records the
>>     conclusion of the ECN Nonce experiment in RFC 3540, and provides the
>>     rationale for reclassification of RFC 3540 as Historic; this
>>     reclassification enables new experimental use of the ECT(1)
>>     codepoint.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-experimentation/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-tsvwg-ecn-experimentation-03
>> https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-ecn-
>> experimentation-03
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-ecn-experimentation-03
>>
>>
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>> Internet-Draft directories: http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/